## gle-graphics-library 4.3.6

=== src/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all:
	cd labeled-scatter $(CSEP) $(MAKE)
	cd flux_linkage_space_vector_diagram $(CSEP) $(MAKE)
	cd phasedemo $(CSEP) $(MAKE)
	cd decay $(CSEP) $(MAKE)
	cd ramps $(CSEP) $(MAKE)
	cd color-markers-3d $(CSEP) $(MAKE)
	cd circuit4 $(CSEP) $(MAKE)
	cd feynman_16 $(CSEP) $(MAKE)
	cd radar $(CSEP) $(MAKE)
	cd ellipses $(CSEP) $(MAKE)
	cd testaccents $(CSEP) $(MAKE)
	cd dragon $(CSEP) $(MAKE)
	cd business_cards_10_per_A4 $(CSEP) $(MAKE)
	cd playtennis_dt $(CSEP) $(MAKE)
	cd arrowdesign $(CSEP) $(MAKE)
	cd feynman_15 $(CSEP) $(MAKE)
	cd stack4b $(CSEP) $(MAKE)
	cd horizon $(CSEP) $(MAKE)
	cd M16 $(CSEP) $(MAKE)
	cd heatmap $(CSEP) $(MAKE)
	cd sierpinski $(CSEP) $(MAKE)
	cd pythagorean $(CSEP) $(MAKE)
	cd jitter $(CSEP) $(MAKE)
	cd curve $(CSEP) $(MAKE)
	cd rugplot $(CSEP) $(MAKE)
	cd sine-approx $(CSEP) $(MAKE)
	cd objects $(CSEP) $(MAKE)
	cd SdHmethod $(CSEP) $(MAKE)
	cd square $(CSEP) $(MAKE)
	cd feynman_2 $(CSEP) $(MAKE)
	cd sqroot $(CSEP) $(MAKE)
	cd AFM $(CSEP) $(MAKE)
	cd volcano3d $(CSEP) $(MAKE)
	cd spider $(CSEP) $(MAKE)
	cd feynman_7 $(CSEP) $(MAKE)
	cd koch $(CSEP) $(MAKE)
	cd cos2t $(CSEP) $(MAKE)
	cd wall $(CSEP) $(MAKE)
	cd brewer_usage $(CSEP) $(MAKE)
	cd quantilescale $(CSEP) $(MAKE)
	cd lorenz $(CSEP) $(MAKE)
	cd feynman_19 $(CSEP) $(MAKE)
	cd lindenmayer $(CSEP) $(MAKE)
	cd clip-ft $(CSEP) $(MAKE)
	cd tree $(CSEP) $(MAKE)
	cd filters81 $(CSEP) $(MAKE)
	cd utitle $(CSEP) $(MAKE)
	cd polargrid $(CSEP) $(MAKE)
	cd loop $(CSEP) $(MAKE)
	cd saddlecol $(CSEP) $(MAKE)
	cd binning $(CSEP) $(MAKE)
	cd polar_histogram $(CSEP) $(MAKE)
	cd butterfly $(CSEP) $(MAKE)
	cd curvedarrow $(CSEP) $(MAKE)
	cd feynman_9 $(CSEP) $(MAKE)
	cd gc_color $(CSEP) $(MAKE)
	cd shapes-ft $(CSEP) $(MAKE)
	cd color_list_svg $(CSEP) $(MAKE)
	cd shadow $(CSEP) $(MAKE)
	cd armand $(CSEP) $(MAKE)
	cd arrowstyle $(CSEP) $(MAKE)
	cd mirrors $(CSEP) $(MAKE)
	cd sin $(CSEP) $(MAKE)
	cd bindots $(CSEP) $(MAKE)
	cd math $(CSEP) $(MAKE)
	cd feynman_12 $(CSEP) $(MAKE)
	cd shadebar $(CSEP) $(MAKE)
	cd informationgain $(CSEP) $(MAKE)
	cd intersect $(CSEP) $(MAKE)
	cd colormap $(CSEP) $(MAKE)
	cd steps $(CSEP) $(MAKE)
	cd bayesiannet $(CSEP) $(MAKE)
	cd feynman_18 $(CSEP) $(MAKE)
	cd mesh $(CSEP) $(MAKE)
	cd saddle $(CSEP) $(MAKE)
	cd discontinuity $(CSEP) $(MAKE)
	cd qgle_keyboard $(CSEP) $(MAKE)
	cd histogram $(CSEP) $(MAKE)
	cd M4_Re_Im $(CSEP) $(MAKE)
	cd frequency $(CSEP) $(MAKE)
	cd perceptron $(CSEP) $(MAKE)
	cd lnx $(CSEP) $(MAKE)
	cd maunga3c $(CSEP) $(MAKE)
	cd fruitbar $(CSEP) $(MAKE)
	cd line $(CSEP) $(MAKE)
	cd mandelbrot $(CSEP) $(MAKE)
	cd adphas $(CSEP) $(MAKE)
	cd stack2 $(CSEP) $(MAKE)
	cd fill $(CSEP) $(MAKE)
	cd adjust $(CSEP) $(MAKE)
	cd feynman_17 $(CSEP) $(MAKE)
	cd hat $(CSEP) $(MAKE)
	cd feynman_shadow $(CSEP) $(MAKE)
	cd keyexamples $(CSEP) $(MAKE)
	cd circuit3 $(CSEP) $(MAKE)
	cd pythagoras $(CSEP) $(MAKE)
	cd polenja $(CSEP) $(MAKE)
	cd brewer_sample $(CSEP) $(MAKE)
	cd saddle-contour $(CSEP) $(MAKE)
	cd ascatterplot $(CSEP) $(MAKE)
	cd semitrans $(CSEP) $(MAKE)
	cd elliptical_arcs $(CSEP) $(MAKE)
	cd maungazoom $(CSEP) $(MAKE)
	cd recursiontree $(CSEP) $(MAKE)
	cd circuit1 $(CSEP) $(MAKE)
	cd hubble $(CSEP) $(MAKE)
	cd bar3d $(CSEP) $(MAKE)
	cd bitmap $(CSEP) $(MAKE)
	cd super-ellipse $(CSEP) $(MAKE)
	cd flow $(CSEP) $(MAKE)
	cd compactkey $(CSEP) $(MAKE)
	cd volcano $(CSEP) $(MAKE)
	cd polarcircle $(CSEP) $(MAKE)
	cd seaborn $(CSEP) $(MAKE)
	cd colorspaces $(CSEP) $(MAKE)
	cd linemode $(CSEP) $(MAKE)
	cd wulfnet $(CSEP) $(MAKE)
	cd windrose $(CSEP) $(MAKE)
	cd feynman_4 $(CSEP) $(MAKE)
	cd let-multi-dim $(CSEP) $(MAKE)
	cd hyperbola $(CSEP) $(MAKE)
	cd normal $(CSEP) $(MAKE)
	cd winding $(CSEP) $(MAKE)
	cd inpstm $(CSEP) $(MAKE)
	cd lines $(CSEP) $(MAKE)
	cd diffeq $(CSEP) $(MAKE)
	cd crispdm $(CSEP) $(MAKE)
	cd fitls $(CSEP) $(MAKE)
	cd stacks $(CSEP) $(MAKE)
	cd tgplot $(CSEP) $(MAKE)
	cd stack4c $(CSEP) $(MAKE)
	cd markers $(CSEP) $(MAKE)
	cd stuff $(CSEP) $(MAKE)
	cd boxplot-ft $(CSEP) $(MAKE)
	cd four $(CSEP) $(MAKE)
	cd bumpchart $(CSEP) $(MAKE)
	cd feynman_10 $(CSEP) $(MAKE)
	cd wallx $(CSEP) $(MAKE)
	cd brilzone $(CSEP) $(MAKE)
	cd barchart $(CSEP) $(MAKE)
	cd gc_write $(CSEP) $(MAKE)
	cd house $(CSEP) $(MAKE)
	cd join $(CSEP) $(MAKE)
	cd feynman_13 $(CSEP) $(MAKE)
	cd bubble $(CSEP) $(MAKE)
	cd barcode_example $(CSEP) $(MAKE)
	cd volcano-ft $(CSEP) $(MAKE)
	cd errors $(CSEP) $(MAKE)
	cd color_sample $(CSEP) $(MAKE)
	cd equation $(CSEP) $(MAKE)
	cd gradient $(CSEP) $(MAKE)
	cd opening $(CSEP) $(MAKE)
	cd h-bridge $(CSEP) $(MAKE)
	cd brics $(CSEP) $(MAKE)
	cd colormapcontour $(CSEP) $(MAKE)
	cd shapes $(CSEP) $(MAKE)
	cd labels $(CSEP) $(MAKE)
	cd data $(CSEP) $(MAKE)
	cd feynman_11 $(CSEP) $(MAKE)
	cd sarppepo $(CSEP) $(MAKE)
	cd mutation $(CSEP) $(MAKE)
	cd parallel $(CSEP) $(MAKE)
	cd web $(CSEP) $(MAKE)
	cd texgraph $(CSEP) $(MAKE)
	cd cavity $(CSEP) $(MAKE)
	cd colorbar $(CSEP) $(MAKE)
	cd gc_join $(CSEP) $(MAKE)
	cd rt-y-is-x $(CSEP) $(MAKE)
	cd fill-ft $(CSEP) $(MAKE)
	cd feynman_14 $(CSEP) $(MAKE)
	cd f-f2 $(CSEP) $(MAKE)
	cd feynman_6 $(CSEP) $(MAKE)
	cd bspline $(CSEP) $(MAKE)
	cd series $(CSEP) $(MAKE)
	cd feynman_5 $(CSEP) $(MAKE)
	cd corrs $(CSEP) $(MAKE)
	cd feynman_3 $(CSEP) $(MAKE)
	cd stack1 $(CSEP) $(MAKE)
	cd hello $(CSEP) $(MAKE)
	cd dvifill $(CSEP) $(MAKE)
	cd circuit2 $(CSEP) $(MAKE)
	cd fitz $(CSEP) $(MAKE)
	cd drawpie $(CSEP) $(MAKE)
	cd feynman_test $(CSEP) $(MAKE)
	cd clip $(CSEP) $(MAKE)
	cd boxplot $(CSEP) $(MAKE)
	cd logo $(CSEP) $(MAKE)
	cd ellipsearrow $(CSEP) $(MAKE)
	cd margins $(CSEP) $(MAKE)
	cd entropy $(CSEP) $(MAKE)
	cd legend $(CSEP) $(MAKE)
	cd zoom-in $(CSEP) $(MAKE)
	cd feynman_8 $(CSEP) $(MAKE)
	cd regrmodel $(CSEP) $(MAKE)
	cd feynman_1 $(CSEP) $(MAKE)
	cd protract $(CSEP) $(MAKE)

clean:
	cd labeled-scatter $(CSEP) $(MAKE) clean
	cd flux_linkage_space_vector_diagram $(CSEP) $(MAKE) clean
	cd phasedemo $(CSEP) $(MAKE) clean
	cd decay $(CSEP) $(MAKE) clean
	cd ramps $(CSEP) $(MAKE) clean
	cd color-markers-3d $(CSEP) $(MAKE) clean
	cd circuit4 $(CSEP) $(MAKE) clean
	cd feynman_16 $(CSEP) $(MAKE) clean
	cd radar $(CSEP) $(MAKE) clean
	cd ellipses $(CSEP) $(MAKE) clean
	cd testaccents $(CSEP) $(MAKE) clean
	cd dragon $(CSEP) $(MAKE) clean
	cd business_cards_10_per_A4 $(CSEP) $(MAKE) clean
	cd playtennis_dt $(CSEP) $(MAKE) clean
	cd arrowdesign $(CSEP) $(MAKE) clean
	cd feynman_15 $(CSEP) $(MAKE) clean
	cd stack4b $(CSEP) $(MAKE) clean
	cd horizon $(CSEP) $(MAKE) clean
	cd M16 $(CSEP) $(MAKE) clean
	cd heatmap $(CSEP) $(MAKE) clean
	cd sierpinski $(CSEP) $(MAKE) clean
	cd pythagorean $(CSEP) $(MAKE) clean
	cd jitter $(CSEP) $(MAKE) clean
	cd curve $(CSEP) $(MAKE) clean
	cd rugplot $(CSEP) $(MAKE) clean
	cd sine-approx $(CSEP) $(MAKE) clean
	cd objects $(CSEP) $(MAKE) clean
	cd SdHmethod $(CSEP) $(MAKE) clean
	cd square $(CSEP) $(MAKE) clean
	cd feynman_2 $(CSEP) $(MAKE) clean
	cd sqroot $(CSEP) $(MAKE) clean
	cd AFM $(CSEP) $(MAKE) clean
	cd volcano3d $(CSEP) $(MAKE) clean
	cd spider $(CSEP) $(MAKE) clean
	cd feynman_7 $(CSEP) $(MAKE) clean
	cd koch $(CSEP) $(MAKE) clean
	cd cos2t $(CSEP) $(MAKE) clean
	cd wall $(CSEP) $(MAKE) clean
	cd brewer_usage $(CSEP) $(MAKE) clean
	cd quantilescale $(CSEP) $(MAKE) clean
	cd lorenz $(CSEP) $(MAKE) clean
	cd feynman_19 $(CSEP) $(MAKE) clean
	cd lindenmayer $(CSEP) $(MAKE) clean
	cd clip-ft $(CSEP) $(MAKE) clean
	cd tree $(CSEP) $(MAKE) clean
	cd filters81 $(CSEP) $(MAKE) clean
	cd utitle $(CSEP) $(MAKE) clean
	cd polargrid $(CSEP) $(MAKE) clean
	cd loop $(CSEP) $(MAKE) clean
	cd saddlecol $(CSEP) $(MAKE) clean
	cd binning $(CSEP) $(MAKE) clean
	cd polar_histogram $(CSEP) $(MAKE) clean
	cd butterfly $(CSEP) $(MAKE) clean
	cd curvedarrow $(CSEP) $(MAKE) clean
	cd feynman_9 $(CSEP) $(MAKE) clean
	cd gc_color $(CSEP) $(MAKE) clean
	cd shapes-ft $(CSEP) $(MAKE) clean
	cd color_list_svg $(CSEP) $(MAKE) clean
	cd shadow $(CSEP) $(MAKE) clean
	cd armand $(CSEP) $(MAKE) clean
	cd arrowstyle $(CSEP) $(MAKE) clean
	cd mirrors $(CSEP) $(MAKE) clean
	cd sin $(CSEP) $(MAKE) clean
	cd bindots $(CSEP) $(MAKE) clean
	cd math $(CSEP) $(MAKE) clean
	cd feynman_12 $(CSEP) $(MAKE) clean
	cd shadebar $(CSEP) $(MAKE) clean
	cd informationgain $(CSEP) $(MAKE) clean
	cd intersect $(CSEP) $(MAKE) clean
	cd colormap $(CSEP) $(MAKE) clean
	cd steps $(CSEP) $(MAKE) clean
	cd bayesiannet $(CSEP) $(MAKE) clean
	cd feynman_18 $(CSEP) $(MAKE) clean
	cd mesh $(CSEP) $(MAKE) clean
	cd saddle $(CSEP) $(MAKE) clean
	cd discontinuity $(CSEP) $(MAKE) clean
	cd qgle_keyboard $(CSEP) $(MAKE) clean
	cd histogram $(CSEP) $(MAKE) clean
	cd M4_Re_Im $(CSEP) $(MAKE) clean
	cd frequency $(CSEP) $(MAKE) clean
	cd perceptron $(CSEP) $(MAKE) clean
	cd lnx $(CSEP) $(MAKE) clean
	cd maunga3c $(CSEP) $(MAKE) clean
	cd fruitbar $(CSEP) $(MAKE) clean
	cd line $(CSEP) $(MAKE) clean
	cd mandelbrot $(CSEP) $(MAKE) clean
	cd adphas $(CSEP) $(MAKE) clean
	cd stack2 $(CSEP) $(MAKE) clean
	cd fill $(CSEP) $(MAKE) clean
	cd adjust $(CSEP) $(MAKE) clean
	cd feynman_17 $(CSEP) $(MAKE) clean
	cd hat $(CSEP) $(MAKE) clean
	cd feynman_shadow $(CSEP) $(MAKE) clean
	cd keyexamples $(CSEP) $(MAKE) clean
	cd circuit3 $(CSEP) $(MAKE) clean
	cd pythagoras $(CSEP) $(MAKE) clean
	cd polenja $(CSEP) $(MAKE) clean
	cd brewer_sample $(CSEP) $(MAKE) clean
	cd saddle-contour $(CSEP) $(MAKE) clean
	cd ascatterplot $(CSEP) $(MAKE) clean
	cd semitrans $(CSEP) $(MAKE) clean
	cd elliptical_arcs $(CSEP) $(MAKE) clean
	cd maungazoom $(CSEP) $(MAKE) clean
	cd recursiontree $(CSEP) $(MAKE) clean
	cd circuit1 $(CSEP) $(MAKE) clean
	cd hubble $(CSEP) $(MAKE) clean
	cd bar3d $(CSEP) $(MAKE) clean
	cd bitmap $(CSEP) $(MAKE) clean
	cd super-ellipse $(CSEP) $(MAKE) clean
	cd flow $(CSEP) $(MAKE) clean
	cd compactkey $(CSEP) $(MAKE) clean
	cd volcano $(CSEP) $(MAKE) clean
	cd polarcircle $(CSEP) $(MAKE) clean
	cd seaborn $(CSEP) $(MAKE) clean
	cd colorspaces $(CSEP) $(MAKE) clean
	cd linemode $(CSEP) $(MAKE) clean
	cd wulfnet $(CSEP) $(MAKE) clean
	cd windrose $(CSEP) $(MAKE) clean
	cd feynman_4 $(CSEP) $(MAKE) clean
	cd let-multi-dim $(CSEP) $(MAKE) clean
	cd hyperbola $(CSEP) $(MAKE) clean
	cd normal $(CSEP) $(MAKE) clean
	cd winding $(CSEP) $(MAKE) clean
	cd inpstm $(CSEP) $(MAKE) clean
	cd lines $(CSEP) $(MAKE) clean
	cd diffeq $(CSEP) $(MAKE) clean
	cd crispdm $(CSEP) $(MAKE) clean
	cd fitls $(CSEP) $(MAKE) clean
	cd stacks $(CSEP) $(MAKE) clean
	cd tgplot $(CSEP) $(MAKE) clean
	cd stack4c $(CSEP) $(MAKE) clean
	cd markers $(CSEP) $(MAKE) clean
	cd stuff $(CSEP) $(MAKE) clean
	cd boxplot-ft $(CSEP) $(MAKE) clean
	cd four $(CSEP) $(MAKE) clean
	cd bumpchart $(CSEP) $(MAKE) clean
	cd feynman_10 $(CSEP) $(MAKE) clean
	cd wallx $(CSEP) $(MAKE) clean
	cd brilzone $(CSEP) $(MAKE) clean
	cd barchart $(CSEP) $(MAKE) clean
	cd gc_write $(CSEP) $(MAKE) clean
	cd house $(CSEP) $(MAKE) clean
	cd join $(CSEP) $(MAKE) clean
	cd feynman_13 $(CSEP) $(MAKE) clean
	cd bubble $(CSEP) $(MAKE) clean
	cd barcode_example $(CSEP) $(MAKE) clean
	cd volcano-ft $(CSEP) $(MAKE) clean
	cd errors $(CSEP) $(MAKE) clean
	cd color_sample $(CSEP) $(MAKE) clean
	cd equation $(CSEP) $(MAKE) clean
	cd gradient $(CSEP) $(MAKE) clean
	cd opening $(CSEP) $(MAKE) clean
	cd h-bridge $(CSEP) $(MAKE) clean
	cd brics $(CSEP) $(MAKE) clean
	cd colormapcontour $(CSEP) $(MAKE) clean
	cd shapes $(CSEP) $(MAKE) clean
	cd labels $(CSEP) $(MAKE) clean
	cd data $(CSEP) $(MAKE) clean
	cd feynman_11 $(CSEP) $(MAKE) clean
	cd sarppepo $(CSEP) $(MAKE) clean
	cd mutation $(CSEP) $(MAKE) clean
	cd parallel $(CSEP) $(MAKE) clean
	cd web $(CSEP) $(MAKE) clean

=== src/M16/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: M16.eps M16.pdf M16.png

M16.eps: M16.gle
	gle -device EPS -cairo M16.gle

M16.pdf: M16.gle
	gle -device PDF -cairo M16.gle

M16.png: M16.gle
	gle -device PNG -cairo -DPI 150 M16.gle

clean:
	-$(RM) M16.eps M16.pdf M16.png
	-$(RMDIR) .gle

=== src/brilzone/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: brilzone.eps brilzone.pdf brilzone.png

brilzone.eps: brilzone.gle
	gle -device EPS -cairo brilzone.gle

brilzone.pdf: brilzone.gle
	gle -device PDF -cairo brilzone.gle

brilzone.png: brilzone.gle
	gle -device PNG -cairo -DPI 150 brilzone.gle

clean:
	-$(RM) brilzone.eps brilzone.pdf brilzone.png
	-$(RMDIR) .gle

=== src/bumpchart/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: bumpchart.eps bumpchart.pdf bumpchart.png

bumpchart.eps: bumpchart.gle
	gle -device EPS -cairo bumpchart.gle

bumpchart.pdf: bumpchart.gle
	gle -device PDF -cairo bumpchart.gle

bumpchart.png: bumpchart.gle
	gle -device PNG -cairo -DPI 150 bumpchart.gle

clean:
	-$(RM) bumpchart.eps bumpchart.pdf bumpchart.png
	-$(RMDIR) .gle

=== src/clip/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: clip.eps clip.pdf clip.png

clip.eps: clip.gle
	gle -device EPS -cairo clip.gle

clip.pdf: clip.gle
	gle -device PDF -cairo clip.gle

clip.png: clip.gle
	gle -device PNG -cairo -DPI 150 clip.gle

clean:
	-$(RM) clip.eps clip.pdf clip.png
	-$(RMDIR) .gle

=== src/feynman_1/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: feynman_1.eps feynman_1.pdf feynman_1.png

feynman_1.eps: feynman_1.gle
	gle -device EPS -cairo feynman_1.gle

feynman_1.pdf: feynman_1.gle
	gle -device PDF -cairo feynman_1.gle

feynman_1.png: feynman_1.gle
	gle -device PNG -cairo -DPI 150 feynman_1.gle

clean:
	-$(RM) feynman_1.eps feynman_1.pdf feynman_1.png
	-$(RMDIR) .gle

=== src/feynman_3/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: feynman_3.eps feynman_3.pdf feynman_3.png

feynman_3.eps: feynman_3.gle
	gle -device EPS -cairo feynman_3.gle

feynman_3.pdf: feynman_3.gle
	gle -device PDF -cairo feynman_3.gle

feynman_3.png: feynman_3.gle
	gle -device PNG -cairo -DPI 150 feynman_3.gle

clean:
	-$(RM) feynman_3.eps feynman_3.pdf feynman_3.png
	-$(RMDIR) .gle

=== src/feynman_shadow/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: feynman_shadow.eps feynman_shadow.pdf feynman_shadow.png

feynman_shadow.eps: feynman_shadow.gle
	gle -device EPS -cairo feynman_shadow.gle

feynman_shadow.pdf: feynman_shadow.gle
	gle -device PDF -cairo feynman_shadow.gle

feynman_shadow.png: feynman_shadow.gle
	gle -device PNG -cairo -DPI 150 feynman_shadow.gle

clean:
	-$(RM) feynman_shadow.eps feynman_shadow.pdf feynman_shadow.png
	-$(RMDIR) .gle

=== src/filters81/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: filters81.eps filters81.pdf filters81.png

filters81.eps: filters81.gle
	gle -device EPS -cairo filters81.gle

filters81.pdf: filters81.gle
	gle -device PDF -cairo filters81.gle

filters81.png: filters81.gle
	gle -device PNG -cairo -DPI 150 filters81.gle

clean:
	-$(RM) filters81.eps filters81.pdf filters81.png
	-$(RMDIR) .gle

=== src/flow/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: flow.eps flow.pdf flow.png

flow.eps: flow.gle
	gle -device EPS -cairo flow.gle

flow.pdf: flow.gle
	gle -device PDF -cairo flow.gle

flow.png: flow.gle
	gle -device PNG -cairo -DPI 150 flow.gle

clean:
	-$(RM) flow.eps flow.pdf flow.png
	-$(RMDIR) .gle

=== src/gc_join/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: gc_join.eps gc_join.pdf gc_join.png

gc_join.eps: gc_join.gle
	gle -device EPS -cairo gc_join.gle

gc_join.pdf: gc_join.gle
	gle -device PDF -cairo gc_join.gle

gc_join.png: gc_join.gle
	gle -device PNG -cairo -DPI 150 gc_join.gle

clean:
	-$(RM) gc_join.eps gc_join.pdf gc_join.png
	-$(RMDIR) .gle

=== src/hello/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: hello.eps hello.pdf hello.png

hello.eps: hello.gle
	gle -device EPS -cairo hello.gle

hello.pdf: hello.gle
	gle -device PDF -cairo hello.gle

hello.png: hello.gle
	gle -device PNG -cairo -DPI 150 hello.gle

clean:
	-$(RM) hello.eps hello.pdf hello.png
	-$(RMDIR) .gle

## gle-graphics-library 0~20221105

=== debian/changelog ===
gle-graphics-library (0~20221105-2) unstable; urgency=medium

  * upload to unstable

 -- Christian T. Steigies <cts@debian.org>  Fri, 03 Feb 2023 17:45:09 +0100

gle-graphics-library (0~20221105-1) experimental; urgency=medium

  * Initial release (Closes: #1027676)
  * mention GLE, Andrey Grozin, A. S. Budden and Jan Soubusta
    in debian/copyright

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Jan 2023 18:22:12 +0100

=== debian/control ===
Source: gle-graphics-library
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://glx.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/science-team/gle-graphics-library
Vcs-Git: https://salsa.debian.org/science-team/gle-graphics-library.git
Rules-Requires-Root: no

Package: gle-graphics-library
Architecture: all
Conflicts: gle-graphics (<=4.2.5)
Depends: ${misc:Depends}, gle-graphics (>=4.3)
Description: Library of routines and example scripts written in GLE
 These scripts used to come bundled with the GLE distribution.  However,
 they may get updated prior to the next release.  This repo makes them
 available separately for users to modify and/or update outside of the GLE
 release schedule.

## gle-graphics-library 4.3.6

=== debian/changelog ===
gle-graphics-library (4.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Apr 2025 20:36:59 +0200

## gle-graphics-library 4.3.7

=== src/Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	cd feynman_2 $(CSEP) $(MAKE)
 	cd sqroot $(CSEP) $(MAKE)
 	cd AFM $(CSEP) $(MAKE)
+	cd ulam $(CSEP) $(MAKE)
 	cd volcano3d $(CSEP) $(MAKE)
 	cd spider $(CSEP) $(MAKE)
 	cd feynman_7 $(CSEP) $(MAKE)
@@ -97,6 +98,7 @@
 	cd informationgain $(CSEP) $(MAKE)
 	cd intersect $(CSEP) $(MAKE)
 	cd colormap $(CSEP) $(MAKE)
+	cd stairs $(CSEP) $(MAKE)
 	cd steps $(CSEP) $(MAKE)
 	cd bayesiannet $(CSEP) $(MAKE)
 	cd feynman_18 $(CSEP) $(MAKE)
@@ -162,6 +164,7 @@
 	cd stuff $(CSEP) $(MAKE)
 	cd boxplot-ft $(CSEP) $(MAKE)
 	cd four $(CSEP) $(MAKE)
+	cd nottingham $(CSEP) $(MAKE)
 	cd bumpchart $(CSEP) $(MAKE)
 	cd feynman_10 $(CSEP) $(MAKE)
 	cd wallx $(CSEP) $(MAKE)
@@ -257,6 +260,7 @@
 	cd feynman_2 $(CSEP) $(MAKE) clean
 	cd sqroot $(CSEP) $(MAKE) clean
 	cd AFM $(CSEP) $(MAKE) clean
+	cd ulam $(CSEP) $(MAKE) clean
 	cd volcano3d $(CSEP) $(MAKE) clean
 	cd spider $(CSEP) $(MAKE) clean
 	cd feynman_7 $(CSEP) $(MAKE) clean
@@ -295,6 +299,7 @@
 	cd informationgain $(CSEP) $(MAKE) clean
 	cd intersect $(CSEP) $(MAKE) clean
 	cd colormap $(CSEP) $(MAKE) clean
+	cd stairs $(CSEP) $(MAKE) clean
 	cd steps $(CSEP) $(MAKE) clean
 	cd bayesiannet $(CSEP) $(MAKE) clean
 	cd feynman_18 $(CSEP) $(MAKE) clean
@@ -360,6 +365,7 @@
 	cd stuff $(CSEP) $(MAKE) clean
 	cd boxplot-ft $(CSEP) $(MAKE) clean
 	cd four $(CSEP) $(MAKE) clean
+	cd nottingham $(CSEP) $(MAKE) clean
 	cd bumpchart $(CSEP) $(MAKE) clean
 	cd feynman_10 $(CSEP) $(MAKE) clean
 	cd wallx $(CSEP) $(MAKE) clean
@@ -382,9 +388,3 @@
 	cd colormapcontour $(CSEP) $(MAKE) clean
 	cd shapes $(CSEP) $(MAKE) clean
 	cd labels $(CSEP) $(MAKE) clean
-	cd data $(CSEP) $(MAKE) clean
-	cd feynman_11 $(CSEP) $(MAKE) clean
-	cd sarppepo $(CSEP) $(MAKE) clean
-	cd mutation $(CSEP) $(MAKE) clean
-	cd parallel $(CSEP) $(MAKE) clean
-	cd web $(CSEP) $(MAKE) clean

=== src/AFM/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: AFM.eps AFM.pdf AFM.png

AFM.eps: AFM.gle
	gle -device EPS -cairo AFM.gle

AFM.pdf: AFM.gle
	gle -device PDF -cairo AFM.gle

AFM.png: AFM.gle
	gle -device PNG -cairo -DPI 150 AFM.gle

clean:
	-$(RM) AFM.eps AFM.pdf AFM.png
	-$(RMDIR) .gle

=== src/SdHmethod/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: SdHmethod.eps SdHmethod.pdf SdHmethod.png

SdHmethod.eps: SdHmethod.gle
	gle -device EPS -cairo SdHmethod.gle

SdHmethod.pdf: SdHmethod.gle
	gle -device PDF -cairo SdHmethod.gle

SdHmethod.png: SdHmethod.gle
	gle -device PNG -cairo -DPI 150 SdHmethod.gle

clean:
	-$(RM) SdHmethod.eps SdHmethod.pdf SdHmethod.png
	-$(RMDIR) .gle

=== src/armand/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: armand.eps armand.pdf armand.png

armand.eps: armand.gle
	gle -device EPS -cairo armand.gle

armand.pdf: armand.gle
	gle -device PDF -cairo armand.gle

armand.png: armand.gle
	gle -device PNG -cairo -DPI 150 armand.gle

clean:
	-$(RM) armand.eps armand.pdf armand.png
	-$(RMDIR) .gle

=== src/arrowdesign/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: arrowdesign.eps arrowdesign.pdf arrowdesign.png

arrowdesign.eps: arrowdesign.gle
	gle -device EPS -cairo arrowdesign.gle

arrowdesign.pdf: arrowdesign.gle
	gle -device PDF -cairo arrowdesign.gle

arrowdesign.png: arrowdesign.gle
	gle -device PNG -cairo -DPI 150 arrowdesign.gle

clean:
	-$(RM) arrowdesign.eps arrowdesign.pdf arrowdesign.png
	-$(RMDIR) .gle

=== src/arrowstyle/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: arrowstyle.eps arrowstyle.pdf arrowstyle.png

arrowstyle.eps: arrowstyle.gle
	gle -device EPS -cairo arrowstyle.gle

arrowstyle.pdf: arrowstyle.gle
	gle -device PDF -cairo arrowstyle.gle

arrowstyle.png: arrowstyle.gle
	gle -device PNG -cairo -DPI 150 arrowstyle.gle

clean:
	-$(RM) arrowstyle.eps arrowstyle.pdf arrowstyle.png
	-$(RMDIR) .gle

=== src/bar3d/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: bar3d.eps bar3d.pdf bar3d.png

bar3d.eps: bar3d.gle
	gle -device EPS -cairo bar3d.gle

bar3d.pdf: bar3d.gle
	gle -device PDF -cairo bar3d.gle

bar3d.png: bar3d.gle
	gle -device PNG -cairo -DPI 150 bar3d.gle

clean:
	-$(RM) bar3d.eps bar3d.pdf bar3d.png
	-$(RMDIR) .gle

=== src/barchart/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: barchart.eps barchart.pdf barchart.png

barchart.eps: barchart.gle
	gle -device EPS -cairo barchart.gle

barchart.pdf: barchart.gle
	gle -device PDF -cairo barchart.gle

barchart.png: barchart.gle
	gle -device PNG -cairo -DPI 150 barchart.gle

clean:
	-$(RM) barchart.eps barchart.pdf barchart.png
	-$(RMDIR) .gle

=== src/bindots/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: bindots.eps bindots.pdf bindots.png

bindots.eps: bindots.gle
	gle -device EPS -cairo bindots.gle

bindots.pdf: bindots.gle
	gle -device PDF -cairo bindots.gle

bindots.png: bindots.gle
	gle -device PNG -cairo -DPI 150 bindots.gle

clean:
	-$(RM) bindots.eps bindots.pdf bindots.png
	-$(RMDIR) .gle

=== src/boxplot-ft/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: boxplot-ft.eps boxplot-ft.pdf boxplot-ft.png

boxplot-ft.eps: boxplot-ft.gle
	gle -device EPS -cairo boxplot-ft.gle

boxplot-ft.pdf: boxplot-ft.gle
	gle -device PDF -cairo boxplot-ft.gle

boxplot-ft.png: boxplot-ft.gle
	gle -device PNG -cairo -DPI 150 boxplot-ft.gle

clean:
	-$(RM) boxplot-ft.eps boxplot-ft.pdf boxplot-ft.png
	-$(RMDIR) .gle

=== src/boxplot/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: boxplot.eps boxplot.pdf boxplot.png

boxplot.eps: boxplot.gle
	gle -device EPS -cairo boxplot.gle

boxplot.pdf: boxplot.gle
	gle -device PDF -cairo boxplot.gle

boxplot.png: boxplot.gle
	gle -device PNG -cairo -DPI 150 boxplot.gle

clean:
	-$(RM) boxplot.eps boxplot.pdf boxplot.png
	-$(RMDIR) .gle

=== src/brewer_usage/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: brewerusage.eps brewerusage.pdf brewerusage.png

brewerusage.eps: brewerusage.gle
	gle -device EPS -cairo brewerusage.gle

brewerusage.pdf: brewerusage.gle
	gle -device PDF -cairo brewerusage.gle

brewerusage.png: brewerusage.gle
	gle -device PNG -cairo -DPI 150 brewerusage.gle

clean:
	-$(RM) brewerusage.eps brewerusage.pdf brewerusage.png
	-$(RMDIR) .gle

=== debian/changelog ===
gle-graphics-library (4.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 05 Oct 2025 18:23:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christian T. Steigies <cts@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://glx.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/science-team/gle-graphics-library
 Vcs-Git: https://salsa.debian.org/science-team/gle-graphics-library.git

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# Direct Git
opts="mode=git" https://github.com/vlabella/gle-library.git \
  refs/tags/v([\d\.]+) debian uupdate
